Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Interface DomainInfo

All Known Implementing Classes:
  CategoryTableXYDataset, DefaultTableXYDataset, DynamicTimeSeriesCollection, IntervalXYDelegate, TimePeriodValuesCollection, TimeSeriesCollection, TimeTableXYDataset, XYSeriesCollection

    public interface DomainInfo

An interface (optional) that can be implemented by a dataset to assist in determining the minimum and maximum values.

Method Summary
`Range` | `getDomainBounds(boolean includeInterval)` Returns the range of the values in this dataset's domain.
`double` | `getDomainLowerBound(boolean includeInterval)` Returns the minimum x-value in the dataset.
`double` | `getDomainUpperBound(boolean includeInterval)` Returns the maximum x-value in the dataset.

Method Detail

### getDomainLowerBound

    double getDomainLowerBound(boolean includeInterval)

  Returns the minimum x-value in the dataset.

  Parameters:
    `includeInterval` - a flag that determines whether or not the x-interval is taken into account.
  Returns:
    The minimum value.

### getDomainUpperBound

    double getDomainUpperBound(boolean includeInterval)

  Returns the maximum x-value in the dataset.

  Parameters:
    `includeInterval` - a flag that determines whether or not the x-interval is taken into account.
  Returns:
    The maximum value.

### getDomainBounds

    Range getDomainBounds(boolean includeInterval)

  Returns the range of the values in this dataset's domain.

  Parameters:
    `includeInterval` - a flag that determines whether or not the x-interval is taken into account.
  Returns:
    The range.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD